Hvordan man kører IHC java application med gammel java version

Det er sket flere gange at der er kommet opdateringer til java og at IHC applicationerne (Administrator, Scenedesign, Sceneview og Serviceview), derefter ikke vil kører. Der går ofte flere måneder før LK får lavet opdateringer til applicationerne/firmware – møjirreterende!

Nogen gange har det været muligt at får det til at kører med diverse tricks eller indstillinger i java, men med sidste opdatering har jeg ikke kunnet får det til at virke. Jeg kører på nuværende tidspunkt version 8 update 91, og jeg tror problemet opstod ved update 72. Jeg vil ikke rulle tilbage til en gammel version, fordi jeg i forbindelse med anden udvikling bruger java til andre programmer.

Abn med gammel java version

Første indskydelse var blot at højreklikke på jnlp filen og vælge en gammel version af java, men det lader til at Windows gør noget specielt her så det altid er den nyeste version der bliver brugt. Hvis man lavet at batch fil og starter java herfra virker det, så jeg har lavet en bat fil pr. program og lagt jnlp filer her sammen med en ændre version af java:

Det er javaws.exe som skal bruges til at starte java applicationerne med.

Serviceview.bat filen skal indeholder en enkelt linie:

jre1.8.0_31\bin\javaws.exe serviceview.jnlp

De andre bat filer skal blot have skiftet navnet på jnlp filen.

Når man dobbelt klikker på bat filen vil windows komme med en advarsel om at det er en gammel java version:

Her trykker du på “Later” – “Do not ask”, lader ikke til at virke – den spørger igen på min computer.

Hvor finder jeg en ældre java version?

Java ligger i som standard  folderen C:\Program Files (x86)\Java og i mit tilfælde er det folderen “jre1.8.0_31” – version 8 update 31. Hvis du allerede har opdateret men ikke slette gamle java versioner kan du sikkert finde en gammel version her. Jeg falt min på en anden computer som jeg ikke bruger så tit og den var derfor ikke opdateret. Hvis du ikke kan finde den kan du downloade gamle java versioner fra Java Archive (Kræver registrering for at downloade)

Ny firmware til IHC controlleren?

Problemet bliver forhåbentligt løst med næste firmware opdatering til IHC controlleren, men hvornår kommer den? Og hvad så næste gang java bliver opdateret og der er problemer. Jeg er stadigvæk glad for min IHC controller, men det er rigtigt irreterende at den er afhængig af java. Problemet kunne minimeres hvis LK var mere på bolden og kom med opdateringer så snart der er problemer…

UPDATE juli 2016

Det virkede så kun nogle måneder – hvorefter java igen nægter at starte. Efter lidt googling og eksperimenteren fandt jeg ud af at det skyldes en “auto expire” funktion i java. Du kan slå den fra ved at indsætte:

deployment.expiration.check.enabled=false

i sysm registeringen unden

HKCU\Software\AppDataLow\Software\JavaSoft\DeploymentProperties

Bemærk at den skal indsættes som en streng værdi.

Desuden skal du indsætte

deployment.expiration.check.enabled=false 

i filen

C:\Users\DIT-USER-NAVN\AppData\LocalLow\Sun\Java\Deployment\deployment.properties

Hvis du ikke gør det bliver deployment.expiration.check.enabled fjernet automatisk efter at du har kørt første gang.

En masse bøvl så hvis du har en nemmere måde at gøre det på så skriv det endeligt som en kommatar

Leave a Reply

Your email address will not be published. Required fields are marked *